Skip to main content
GET
/
v3
/
tags
/
{id}
Get specific tag
curl --request GET \
  --url https://{region}.affinda.com/v3/tags/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{region}.affinda.com/v3/tags/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{region}.affinda.com/v3/tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "id": 1,
  "name": "<string>",
  "workspace": "mEFayXdO",
  "documentCount": 1
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Path Parameters

id
integer
required

Tag's ID Uniquely identify a tag.

Required range: x >= 1
Example:

1

Response

Successfully retrieved tag.

id
integer
required

Uniquely identify a tag.

Required range: x >= 1
Example:

1

name
string
required
workspace
string
required

Uniquely identify a workspace.

Example:

"mEFayXdO"

documentCount
integer
required

Number of documents tagged with this.

Required range: x >= 0